<?php require_once('topo.php');?>
<?php require_once('lateral.php');?>
<?php
//VERIFICAÇÃO DO PROGRAMA E NÍVEL PERMISÃO
$idprograma_pagina = 16;
//VERIFICA A AÇÃO DO USUÁRIO

$SelecionaProgramaUsuario = Seleciona("usuarios_programas", "WHERE idusuario='".$_SESSION['usuarioID']."' AND idprograma='$idprograma_pagina'", "LIMIT 0,1");
while($progama_usuario = mysql_fetch_array($SelecionaProgramaUsuario)){
$AcaoUsuario = $progama_usuario['acao'];
}

//AÇÕES
// Visualizar
// Inserir
// Completa
//MASTER ACESSO
if($_SESSION['master'] == 1){
   $AcaoUsuario = "Completa"; 
}

//FIM VERIFICAÇÃO PROGRAMA
?>
     
      <!-- Right side column. Contains the navbar and content of the page -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
          Fluxo Caixa</h1>
          <ol class="breadcrumb">
            <li><a href="index.php"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="fluxo_caixa_agenciae.php">Fluxo Caixa</a></li>
            <li class="active">Listagem</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-xs-12"><!-- /.box -->

              <div class="box">
                <div class="box-header">
                  <h3 class="box-title">Fluxo Caixa</h3>
                </div><!-- /.box-header -->
                <div class="box-body">


<?php

if($_GET['ano'] == ""){
	$ano_atual = date('Y');
}else{
	$ano_atual = $_GET['ano'];	
}


//MES ATUA
if($_GET['mes'] == ""){
	$mes = date('m');
}else{
	$mes = $_GET['mes'];	
}

$datainicio = $_GET['datainicio'];

if($datainicio == ""){
	$datainicio = date('Y-m') . "-01";
}

$datafim = $_GET['datafim'];

if($datafim == ""){
	$datafim = date('Y-m') . "-30";
}

$idcentrodecusto = $_GET['idcentrodecusto'];

if($idcentrodecusto == ""){
	$idcentrodecusto = 1;
}

$tipo = $_GET['tipo'];
$status = $_GET['status'];
$categoria = $_GET['categoria'];

$tipo_pagar = "Saida";
$tipo_receber = "Entrada";
if($_GET['idcentrodecusto'] == "TODOS"){
//TODOS OS CENTROS DE CUSTOS                     
$selec_pagar = "select sum(valor) AS soma FROM logs_financeiro WHERE status='Pago' AND tipo='$tipo_pagar' AND MONTH(data)='$mes' AND YEAR(data)='$ano_atual' AND idpagamento IS NOT NULL";
}else{
if($_GET['idcentrodecusto'] == "TODOS"){
//TODOS OS CENTROS DE CUSTOS                         
$selec_pagar = "select sum(valor) AS soma FROM logs_financeiro WHERE status='Pago' AND tipo='$tipo_pagar' AND MONTH(data)='$mes' AND YEAR(data)='$ano_atual' AND idpagamento IS NOT NULL";        
}else{
$selec_pagar = "select sum(valor) AS soma FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  status='Pago' AND tipo='$tipo_pagar' AND MONTH(data)='$mes' AND YEAR(data)='$ano_atual' AND idpagamento IS NOT NULL";        
    
}
}
$exec_pagar = mysql_query($selec_pagar, $conexao) or die(mysql_error());
/* exibindo o resultado */
while($somapagar=mysql_fetch_array($exec_pagar)) {
$soma_pagar = $somapagar['soma'];

}

if($_GET['idcentrodecusto'] == "TODOS"){
//TODOS OS CENTROS DE CUSTOS                                             
$selec_receber = "select sum(valor) AS soma FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  status='Pago' AND tipo='$tipo_receber' AND MONTH(data)='$mes' AND YEAR(data)='$ano_atual' AND idpagamento IS NOT NULL";
}else{
$selec_receber = "select sum(valor) AS soma FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  status='Pago' AND tipo='$tipo_receber' AND MONTH(data)='$mes' AND YEAR(data)='$ano_atual' AND idpagamento IS NOT NULL";    
}
$exec_receber = mysql_query($selec_receber, $conexao) or die(mysql_error());

/* exibindo o resultado */
while($somareceber=mysql_fetch_array($exec_receber)) {
$soma_receber = $somareceber['soma'];

}

//EXCLUIR LOG

if($_GET["excluir_log"] == "sim"){
$idlogfinanceiro = $_GET['idlogfinanceiro'];
    
$deletar = Excluir("logs_financeiro", "idlogfinanceiro", $idlogfinanceiro);

//LOG USUARIO
$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Exclusão de LogFinanceiro Fluxo de Caixa $idlog_financeiro', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
//FIM LOGUSUARIO
    
if($_GET['categoria'] == "TransferenciaCaixa"){
	$deletar = Excluir("logs_financeiro", "idlogfinanceiro_origem", $idlogfinanceiro);		
	if($_GET['idlogfinanceiro_origem'] != ""){
	$deletar = Excluir("logs_financeiro", "idlogfinanceiro", $_GET['idlogfinanceiro_origem']);			
	}
	
}


$redireciona = VerificaSql($deletar, "fluxo_caixa_agenciae.php?tipo=".$_GET['tipo']."&id=".$_GET['id']."&datafim=".$_GET['datafim']."&datainicio=".$_GET['datainicio']."&idcentrodecusto=".$_GET['idcentrodecusto']."&Filtro=".$_GET['Filtro']."", "fluxo_caixa_agenciae.php?tipo=".$_GET['tipo']."&id=".$_GET['id']."&datafim=".$_GET['datafim']."&datainicio=".$_GET['datainicio']."&idcentrodecusto=".$_GET['idcentrodecusto']."&Filtro=".$_GET['Filtro']."");
} 

//GRAVA CAIXA MENSAL

if($_GET['caixa'] == "Salvar"){

$mes_caixa = substr($datainicio, 5, 2);	
$ano_caixa = substr($datainicio, 0, 4);	
$entrada = $_GET['entrada'];
$saida = $_GET['saida'];
$saldo = $_GET['saldo'];
$datacadastro = date('Y-m-d');
$idcentrodecusto = $_GET['idcentrodecusto'];

//CRIO CAIXA NO BD
$CriarCaixa = Salvar("caixa", "mes,ano, entrada, saida, saldo, datacadastro, idusuario_cadastro, idcentrodecusto", "'$mes_caixa', '$ano_caixa', '$entrada', '$saida', '$saldo', '$datacadastro', '".$_SESSION['usuarioID']."', '$idcentrodecusto'");

//LOG USUARIO
$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Gravar Salado do Fluxo de Caixa $idlog_financeiro', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
//FIM LOGUSUARIO    

$redireciona = VerificaSql($CriarCaixa, "fluxo_caixa_agenciae.php?tipo=".$_GET['tipo']."&id=".$_GET['id']."&datafim=".$_GET['datafim']."&datainicio=".$_GET['datainicio']."&idcentrodecusto=".$_GET['idcentrodecusto']."&Filtro=".$_GET['Filtro']."", "fluxo_caixa_agenciae.php?tipo=".$_GET['tipo']."&id=".$_GET['id']."&datafim=".$_GET['datafim']."&datainicio=".$_GET['datainicio']."&idcentrodecusto=".$_GET['idcentrodecusto']."&Filtro=".$_GET['Filtro']."");
	
}

//PUXA CAIXA DO MÊS ANTERIOR
$mes_atual = substr($datainicio, 5, 2);	
$mes_caixa = substr($datainicio, 5, 2) - 1;	
$ano_caixa = substr($datainicio, 0, 4);
if($mes_atual == 1){
	$mes_caixa = 12;
	$ano_caixa = substr($datainicio, 0, 4) - 1;
}
//echo "AAAA" . $idcentrodecusto;
$SelecionaCaixaAnterior = Seleciona("caixa", "WHERE  idcentrodecusto='$idcentrodecusto' AND ano='$ano_caixa' AND mes LIKE '%".$mes_caixa."%'", "ORDER BY idcaixa DESC LIMIT 0,1");
while($caixa = mysql_fetch_array($SelecionaCaixaAnterior)){
	$SaldoAnterior = $caixa['saldo'];
	$MesCaixa = $caixa['mes'];	
}

?>


<script type="text/javascript">
function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}
</script>
<table width="100%" border="0" align="center" cellpadding="2" cellspacing="0">
  <tr>
    <td height="50" valign="middle" bgcolor="#FFFFFF" class="style1">Selecione as Opções</td>
    <td width="17%" valign="middle" bgcolor="#FFFFFF" class="style1">&nbsp;</td>
    
    <td width="17%" valign="middle" bgcolor="#FFFFFF" class="style1">&nbsp;</td>
   
    <td width="17%" valign="middle" bgcolor="#FFFFFF" class="style1">
    <select id="jumpMenu2" onchange="MM_jumpMenu('parent',this,0)"  class="form-control">
      <option value="fluxo_caixa_agenciae.php?tipo=&id=&datafim=<?php echo $_GET['datafim'];?>&datainicio=<?php echo $_GET['datainicio'];?>&idcentrodecusto=<?php echo $_GET['idcentrodecusto'];?>"> Selecione um Centro de Custo </option>      
	  <?php 	  
	  $SelecionaCentroCusto = Seleciona("centrodecusto", "", "ORDER BY titulo ASC");
	  while($centro = mysql_fetch_array($SelecionaCentroCusto)){
      ?>
	  <option value="fluxo_caixa_agenciae.php?tipo=<?php echo $_GET['tipo'];?>&id=<?php echo $centro['id'];?>&idcentrodecusto=<?php echo $centro['idcentrodecusto'];?>&datafim=<?php echo $_GET['datafim'];?>&datainicio=<?php echo $_GET['datainicio'];?>&Filtro=CentroDeCusto" <?php if($idcentrodecusto == $centro['idcentrodecusto']){ echo "selected";}?>> <?php echo $centro['titulo'];?> </option>
	  <?php }?>
      <option value="fluxo_caixa_agenciae.php?tipo=<?php echo $_GET['tipo'];?>&id=TODOS&idcentrodecusto=TODOS&datafim=<?php echo $_GET['datafim'];?>&datainicio=<?php echo $_GET['datainicio'];?>&Filtro=CentroDeCustoTodos" <?php if($idcentrodecusto == "TODOS"){ echo "selected";}?>> TODOS </option>        
</select>    
    </td>
    <td bgcolor="#FFFFFF">
      <form name="form" id="form" method="get" action="fluxo_caixa_agenciae.php">       
        <input type="hidden" name="idcentrodecusto"  value="<?php echo $idcentrodecusto;?>" />
        <input type="hidden" name="tipo"  value="<?php echo $tipo;?>" />
        <input type="hidden" name="id"  value="<?php echo $_GET['id'];?>" />       
        <input type="hidden" name="datafim"  value="<?php echo $datafim;?>" />            
        <input name="datainicio" type="date" id="datainicio"   style="width: 200px; height: 30px; background-color: #F6F4F0; font-size: 11px; color: #2E3F44; border: 0px; padding-left: 10px;"  value="<?php echo $datainicio;?>" onchange="this.form.submit()" />
      </form></td>
    <td bgcolor="#FFFFFF">
    <form name="form" id="form" method="get" action="fluxo_caixa_agenciae.php">
    <input type="hidden" name="idcentrodecusto"  value="<?php echo $idcentrodecusto;?>" />
    <input type="hidden" name="tipo"  value="<?php echo $tipo;?>" />
    <input type="hidden" name="id"  value="<?php echo $_GET['id'];?>" />  
	  <input type="hidden" name="datainicio"  value="<?php echo $datainicio;?>" />            
      <input name="datafim" type="date" id="datafim"   style="width: 200px; height: 30px; background-color: #F6F4F0; font-size: 11px; color: #2E3F44; border: 0px; padding-left: 10px;"  value="<?php echo $datafim;?>" onchange="this.form.submit()" />
    </form></td>
    <td align="right" valign="middle" bgcolor="#FFFFFF">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="7" valign="top" bgcolor="#FFFFFF">
    <table width="100%" border="0" cellspacing="0" cellpadding="6" bgcolor="#E2E2E2">
      <tr>
        <td width="47%" align="left" class="style1"><strong>Fluxo Mensal</strong></td>
        <td colspan="4" align="right" class="style1">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="5" align="center" valign="middle">
        <table width="100%" border="0" cellspacing="1" cellpadding="2" id="fluxo_caixa" class="table table-bordered table-striped">
          <thead>
          <tr>
            <td><span class="style1">Data</span></td>
            <td><span class="style1">Cod.</span></td>
            <td><span class="style1">Categoria</span></td>
            <td><span class="style1">Titulo</span></td>
            <td><span class="style1">Tipo</span></td>            
            <td><span class="style1">Crédito</span></td>
            <td><span class="style1">Débito</span></td>
            <td><span class="style1">Saldo</span></td>
            <td><span class="style1">Centro de Custo</span></td>
            <td>&nbsp;</td>            
            </tr>
            </thead>
            <tbody>
            
          <tr style="background-color:#00CCCC;">
            <td><span class="style1">01</span></td>
            <td><span class="style1"></span></td>
            <td><span class="style1"></span></td>
            <td><span class="style1">SALDO MÊS ANTERIOR</span></td>
            <td><span class="style1"></span></td>            
            <td><span class="style1"></span></td>
            <td><span class="style1"></span></td>
            <td><span class="style1"><?php echo "R$ " .  number_format($SaldoAnterior, 2, ',', '.');?></span></td>
            <td><span class="style1"></span></td>
            <td>&nbsp;</td>            
            </tr>       
            
            
          <?php
            
                $Dinheiro = 0;
                $CartaodeCredito = 0;
                $CartaodeDebito = 0;
                $Cheque = 0;
                $BoletoBancario = 0;
                $Fatura = 0;
                $ChequesTerceiros = 0;
                $ChequesProprios = 0;
                $TransferenciaDeposito = 0;
                $DebitoemConta = 0;            
            
				if($_GET['idcentrodecusto'] == "TODOS"){
                //TODOS OS CENTROS DE CUSTOS
                    $seleciona = mysql_query("SELECT * FROM logs_financeiro WHERE status='Pago' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL ORDER BY data", $conexao) or die (mysql_error());		
                }else{
                    $seleciona = mysql_query("SELECT * FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  status='Pago' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL ORDER BY data", $conexao) or die (mysql_error());	
                }
                    
				if($tipo == "cliente" and $_GET['id'] != ""){
				
                if($_GET['idcentrodecusto'] == "TODOS"){
                //TODOS OS CENTROS DE CUSTOS                    
                    $seleciona = mysql_query("SELECT * FROM logs_financeiro WHERE idcliente='".$_GET['id']."' AND status='Pago' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL ORDER BY data", $conexao) or die (mysql_error());						
                }else{
                    $seleciona = mysql_query("SELECT * FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  idcliente='".$_GET['id']."' AND status='Pago' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL ORDER BY data", $conexao) or die (mysql_error());	
                    
                }
                    
				}	
				
				if($tipo == "fornecedor" and $_GET['id'] != ""){
                
                if($_GET['idcentrodecusto'] == "TODOS"){
                //TODOS OS CENTROS DE CUSTOS  
                    
				$seleciona = mysql_query("SELECT * FROM logs_financeiro WHERE idfornecedor='".$_GET['id']."' AND status='Pago' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL ORDER BY data", $conexao) or die (mysql_error());						
                    
                }else{
                
                $seleciona = mysql_query("SELECT * FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  idfornecedor='".$_GET['id']."' AND status='Pago' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL ORDER BY data", $conexao) or die (mysql_error());	    
                    
                }
				}				
				
				if($tipo == "usuario" and $_GET['id'] != ""){
                    
                if($_GET['idcentrodecusto'] == "TODOS"){
                //TODOS OS CENTROS DE CUSTOS      
				$seleciona = mysql_query("SELECT * FROM logs_financeiro WHERE idusuario='".$_GET['id']."' AND status='Pago' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL ORDER BY data", $conexao) or die (mysql_error());				
                
                }else{
                
                $seleciona = mysql_query("SELECT * FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  idusuario='".$_GET['id']."' AND status='Pago' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL ORDER BY data", $conexao) or die (mysql_error());				    
                    
                }
				}
                
											
				//$SaldoLinha = 0;
				$SaldoLinha = $SaldoAnterior;
				while($linha=mysql_fetch_array($seleciona)){  
				
				$idcliente = $linha['idcliente'];
				$idfornecedor = $linha['idfornecedor'];
				$idusuario = $linha['idusuario'];
				$idconta = $linha['idconta'];
				$idpagamento = $linha['idpagamento'];

				
				if($linha['tipo'] == "Saida"){
					$corfundo = "#FFECE6";
				}else{
					$corfundo = "#E8FBFF";
				}

				if($linha['status'] == "Pago"){
				//	$corfundo		= "#DFFFBF";
				}
				
				if($linha['data'] < date('Y-m-d') and $linha['status'] != "Pago"){
					$corfundo = "#E8DFFF";
				}
		  //SALDO LINHA
		  if($linha['tipo'] == "Entrada"){
			$SaldoLinha = $SaldoLinha + $linha['valor'];	  
		  }else{
			$SaldoLinha = $SaldoLinha - $linha['valor']; 
		  }
		  
		  //CLIENTE

		$SelecionaCliente = Seleciona("clientes", "WHERE idcliente='$idcliente'", "LIMIT 0,1");
		while($Cliente = mysql_fetch_array($SelecionaCliente)){
			$NomeCliente = "<br>" .$Cliente['nome'];
		}
		
		  //FORNECEDORES

		$SelecionaFornecedores = Seleciona("fornecedores", "WHERE idfornecedor='$idfornecedor'", "LIMIT 0,1");
		while($Fornecedores = mysql_fetch_array($SelecionaFornecedores)){
			$NomeFornecedor = "<br>" .$Fornecedores['nome'];
		}
		
		  //COLABORADORES

		$SelecionaColaboradores = Seleciona("usuarios", "WHERE idusuario='$idusuario'", "LIMIT 0,1");
		while($Colaboradores = mysql_fetch_array($SelecionaColaboradores)){
			$NomeColaborador = "<br>" . $Colaboradores['nome'];
		}		
				
			
			
		  //PAGAMENTOS

		$SelecionaPagamentos = Seleciona("pagamentos", "WHERE idpagamento='$idpagamento'", "LIMIT 0,1");
		while($Pagamentos = mysql_fetch_array($SelecionaPagamentos)){
			$ObservacaoPagamento = $Pagamentos['observacao_pagamento'] . $NomeCliente . $NomeFornecedor . $NomeColaborador;
		}	
		
		
		//CENTRO CUSTO
		
		$SelecionaCentroCusto = Seleciona("centrodecusto", "WHERE idcentrodecusto='".$linha['idcentrodecusto']."'", "ORDER BY titulo ASC LIMIT 0,1");
		  while($centro = mysql_fetch_array($SelecionaCentroCusto)){
			$CentroCusto = $centro['titulo'];
		  }							


                    
            //CONTAS
			$SelecionaConta = Seleciona("contas", "WHERE idconta='$idconta'", "LIMIT 0,1");
			while($Contas = mysql_fetch_array($SelecionaConta)){
			$NomeConta = $Contas['titulo_conta'];
			$ObservacaoPagamento = $NomeCliente . " | " . $Contas['observacao'];
			$CodConta = $Contas['idconta'];
			$NFConta = $Contas['nf'];			
			$categoria = $Contas['categoria'];
			$categoria2 = $Contas['categoria2'];
			$categoria3 = $Contas['categoria3'];
			}						
                    
          //VERIFICO SE EXISTE CONTA                    
          $TotalContas = mysql_num_rows($SelecionaConta); 
          if($TotalContas >0){
			  $ExcluidoConta = "Não";
		  }else{
			  $ExcluidoConta = "Sim";
              
              //REMOVE LOGS FINANCEIROS E PAGAMENTOS NÃO EXCLUIDOS
              $ExcluirLogs = Excluir("logs_financeiro", "idconta", $idconta);
              $ExcluirPagamentos = Excluir("pagamentos", "idconta", $idconta);
              $urlok = "fluxo_caixa_agenciae.php";
                echo"
                <script type=\"text/Javascript\">                
                window.location = '".$urlok."';</script>";
                die;
		  }        
                             
		  
		  //VERIFICA SE EXISTE PAGAMENTO
		  $SelecionaPagamentosExistentes = Seleciona("pagamentos", "WHERE idpagamento='".$linha['idpagamento']."'", "");			  	  		  		  	  
		  $TotalPagamento = mysql_num_rows($SelecionaPagamentosExistentes);
		  if($TotalPagamento >0){
			  $Excluido = "Não";
		  }else{
			  $Excluido = "Sim";
		  }
		  
		  
				?>
          <tr bgcolor="<?php echo $corfundo;?>">
            <td class="style1" width="100"><?php echo $linha['data']; //echo $linha['data']; ?></td>
            <td height="30" class="style1" style="font-size: 11px;"><?php echo $CodConta;?></td>
            <td height="30" class="style1" style="font-size: 11px;">
              <?php 
            echo RetornaCampoGeral("categorias_contas", $categoria, "idcategoria_conta", "titulo") . " / ";
            echo RetornaCampoGeral("categorias_contas_nivel2", $categoria2, "idcategoria_conta_nivel2", "titulo") . " / ";
            echo RetornaCampoGeral("categorias_contas_nivel3", $categoria3, "idcategoria_conta_nivel3", "titulo");            
            ?>                                 
            </td>
            
            <td height="30" class="style1" style="font-size: 11px;"><?php echo "<strong>" . $NomeConta . "</strong>" . $ObservacaoPagamento;?></td>
            <td class="style1"><?php echo $linha['tipo_pagamento'];?></td>
            <td class="style1" width="100"><?php if($linha['tipo'] == "Entrada"){ if($linha['valor'] > 0){ echo "R$ " . number_format($linha['valor'], 2, ',', '.');}}?></td>
            <td class="style1" width="100"><?php if($linha['tipo'] == "Saida"){ if($linha['valor'] > 0){ echo "R$ " . number_format($linha['valor'], 2, ',', '.');}}?></td>
            <td class="style1" bgcolor="<?php echo $cor_status;?>" width="100"><?php echo "R$ " . number_format($SaldoLinha, 2, ',', '.');?></td>
            <td bgcolor="<?php echo $cor_status;?>" class="style1"><?php echo NomeCentroCusto($linha['idcentrodecusto']);?></td>
            <td bgcolor="<?php echo $cor_status;?>" class="style1">
            <a href="manutencao_contas_agenciae.php?idconta=<?php echo $linha['idconta'];?>&VerConta=Sim" target="_blank">
            <button type='button' class='btn btn-success'><i class="fa fa-search" aria-hidden="true"></i></button>
            </a>
            </td>            
            </tr>
          <?php
            $CentroCusto = "";
            $ObservacaoPagamento = "";
            $NomeConta = "";
            $NomeFornecedor = "";
            $idfornecedor = "";
            $idusuario = "";
            $NomeColaborador = "";
            $idcliente = "";	
            $NomeCliente = "";
            $ValorConta ="";
            $corfundo = "";
            $CodConta = "";
            $NFConta = "";
            $IdObra = "";
            $categoria = "";
            $categoria2 = "";
            $categoria3 = "";                    
                }
                ?>
                </tbody>
        </table></td>
      </tr>
      <tr>
        <td height="30" align="right" valign="middle" bgcolor="#CCCCCC" class="style1">&nbsp;</td>
        <td align="right" valign="middle" bgcolor="#CCCCCC" class="style1">&nbsp;</td>
        <td align="right" valign="middle" bgcolor="#CCCCCC" class="style1"><strong>Total Entrada:
            <?php
		if($_GET['idcentrodecusto'] == "TODOS"){
        //TODOS OS CENTROS DE CUSTOS                         			
		$selec = "select sum(valor) AS soma FROM logs_financeiro WHERE status='Pago' AND tipo='Entrada' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";
        }else{
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  status='Pago' AND tipo='Entrada' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";    
            
        }
		if($tipo == "cliente" and $_GET['id'] != ""){
		if($_GET['idcentrodecusto'] == "TODOS"){
        //TODOS OS CENTROS DE CUSTOS 
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idcliente='".$_GET['id']."' AND status='Pago' AND tipo='Entrada' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";
        }else{
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  idcliente='".$_GET['id']."' AND status='Pago' AND tipo='Entrada' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";    
        }
		}
		
		if($tipo == "fornecedor" and $_GET['id'] != ""){
        if($_GET['idcentrodecusto'] == "TODOS"){
        //TODOS OS CENTROS DE CUSTOS     
		$selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idfornecedor='".$_GET['id']."' AND status='Pago' AND tipo='Entrada' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";
        }else{
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  idfornecedor='".$_GET['id']."' AND status='Pago' AND tipo='Entrada' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";
            
        }
		}	
		
		if($tipo == "usuario" and $_GET['id'] != ""){
		if($_GET['idcentrodecusto'] == "TODOS"){
        //TODOS OS CENTROS DE CUSTOS     
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idusuario='".$_GET['id']."' AND status='Pago' AND tipo='Entrada' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";
        }else{
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  idusuario='".$_GET['id']."' AND status='Pago' AND tipo='Entrada' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";    
        }
		}				
		
		$exec = mysql_query($selec, $conexao) or die(mysql_error());    

        /* exibindo o resultado */
        while($areceberreceber=mysql_fetch_array($exec)) {
        $receber = $areceberreceber['soma'];
		echo "R$ " . number_format($receber, 2, ',', '.');
        }
		?>
        </strong></td>
        <td align="right" valign="middle" bgcolor="#CCCCCC" class="style1"><strong>Total Saida:
            <?php
        if($_GET['idcentrodecusto'] == "TODOS"){
        //TODOS OS CENTROS DE CUSTOS    
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE status='Pago' AND tipo='Saida' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";
        }else{
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  status='Pago' AND tipo='Saida' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";    
        }
		
		if($tipo == "cliente" and $_GET['id'] != ""){
        if($_GET['idcentrodecusto'] == "TODOS"){
        //TODOS OS CENTROS DE CUSTOS        
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idcliente='".$_GET['id']."' AND status='Pago' AND tipo='Saida' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";			
        }else{
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  idcliente='".$_GET['id']."' AND status='Pago' AND tipo='Saida' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";			    
        }
		}
		
		if($tipo == "fornecedor" and $_GET['id'] != ""){
        if($_GET['idcentrodecusto'] == "TODOS"){
        //TODOS OS CENTROS DE CUSTOS                    
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idfornecedor='".$_GET['id']."' AND status='Pago' AND tipo='Saida' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";			
        }else{
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  idfornecedor='".$_GET['id']."' AND status='Pago'  AND tipo='Saida' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";			    
        }
		}		
		
		if($tipo == "usuario" and $_GET['id'] != ""){
        if($_GET['idcentrodecusto'] == "TODOS"){
        //TODOS OS CENTROS DE CUSTOS          
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idusuario='".$_GET['id']."' AND status='Pago' AND tipo='Saida' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";			
        }else{
        $selec = "select sum(valor) AS soma FROM logs_financeiro WHERE idcentrodecusto='$idcentrodecusto' AND  idusuario='".$_GET['id']."' AND status='Pago' AND tipo='Saida' AND data BETWEEN ('$datainicio') AND ('$datafim') AND idpagamento IS NOT NULL";			    
        }
		}		

        $exec = mysql_query($selec, $conexao) or die(mysql_error());       

        /* exibindo o resultado */

        while($areceberpago=mysql_fetch_array($exec)) {
        $pago = $areceberpago['soma'];
		echo "R$ " . number_format($pago, 2, ',', '.');		
        }
		?>
        </strong></td>
        <td align="right" valign="middle" bgcolor="#CCCCCC" class="style1"><strong>Saldo R$ 
		<?php
		$Total = $SaldoAnterior + $receber - $pago;
		echo "R$ " . number_format($Total, 2, ',', '.');	
		?>
        </strong></td>
      </tr>
    </table></td>
  </tr>
</table>

<button type="button" class="btn btn-danger" style=" float: inherit;" onclick="location.href='fluxo_caixa_agenciae.php?tipo=<?php echo $_GET['tipo'];?>&id=<?php echo $_GET['id'];?>&idcentrodecusto=<?php echo $_GET['idcentrodecusto'];?>&datafim=<?php echo $_GET['datafim'];?>&datainicio=<?php echo $_GET['datainicio'];?>&Filtro=<?php echo $_GET['Filtro'];?>&entrada=<?php echo $receber;?>&saida=<?php echo $pago;?>&saldo=<?php echo $Total;?>&idcentrodecusto=<?php echo $idcentrodecusto;?>&caixa=Salvar'"> FECHAR CAIXA </button>    
                </div><!-- /.box-body -->
              </div><!-- /.box -->
            </div><!-- /.col -->
          </div><!-- /.row -->
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
<?php require_once('rodape.php');?>